Bug 149817 - array subscript out of range
array subscript out of range
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kile (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-27 14:52 EST by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-22 12:51:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-02-27 14:52:54 EST
Description of problem:

I just tried to compile package kile-1.7.1-3 from 
Redhat Fedora Extras development tree.

The compiler said

kilestructurewidget.cpp(83): warning #175: subscript out of range

The source code is

               
m_current=m_child=m_lastChild=m_parent[0]=m_parent[1]=m_parent[2]=m_parent[3]=m_parent[4]=m_parent[5]=m_parent[7]=m_root;

but

../BUILD/kile-1.7.1/kile/kilestructurewidget.h:        
KileListViewItem       *m_parent[7], *m_current, *m_root, *m_child,
*m_lastChild;

So m_parent[7] is the array index in error.  Suggest avoid indexing one
beyond the end of the array.

I'm not sure what the fix is for this. Maybe increasing the size of the
array would help.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rex Dieter 2005-06-22 12:51:45 EDT
Hopefully kile-1.8.1 will help here.
Comment 2 David Binderman 2005-06-23 05:24:23 EDT
>Hopefully 

It might be a wise idea to promote a hope into reality,
and check that the latest version has this bug fixed.

Note You need to log in before you can comment on or make changes to this bug.